# -*- coding: utf-8 -*-
"""
Created on Mon May 27 02:33:46 2024

@author: marti
"""

import ast
from matplotlib import pyplot as plt


name = 'W_m'
# Dictionary to store the variables from the file
variables = {}
# Open and read the file
with open(name+'.txt', 'r') as file:
    for line in file:
        # Split the line into key and value parts
        key, value = line.split('=')
        # Strip spaces and newlines, then safely evaluate the list
        variables[key.strip()] = ast.literal_eval(value.strip())
f = [0, 0.0005, 0.001, 0.002, 0.004, 0.008, 0.016, 0.032]
b = [0, 0.0025,0.005, 0.0075, 0.01,0.02,0.04,0.06]    
a = [0, 0.00005, 0.0002, 0.0008, 0.00032,0.00128,0.00512,0.02048]
c = [0, 0.005, 0.01, 0.02, 0.04, 0.08, 0.16, 0.32]
beta = [0, 1, 2, 3, 4, 5, 6, 7]
find_job = [0, 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1]
W_m_p = [0.6, 0.65, 0.7, 0.75, 0.8, 0.85, 0.9, 0.95, 1]
L_mu = [0.1, 0.15, 0.2, 0.25, 0.3, 0.35, 0.4, 0.45, 0.5]
A_a = [0.6, 0.7, 0.8, 0.9, 1, 1.1, 1.2, 1.3, 1.4]
A_m = [0.6, 0.7, 0.8, 0.9, 1, 1.1, 1.2, 1.3, 1.4]
alpha = [0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9]
phi = [0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9]
constant = [1, 1.1, 1.2, 1.3, 1.4, 1.5, 1.6, 1.7, 1.8]

W_m_0 = variables['W_m_0']
W_m_1 = variables['W_m_1']
W_m_2 = variables['W_m_2']
W_m_3 = variables['W_m_3']
W_m_4 = variables['W_m_4']
W_m_5 = variables['W_m_5']
W_m_6 = variables['W_m_6']
W_m_7 = variables['W_m_7']
W_m_8 = variables['W_m_8']
                
exp_urban_w_0 = variables['exp_urban_w_0']
exp_urban_w_1 = variables['exp_urban_w_1']
exp_urban_w_2 = variables['exp_urban_w_2']
exp_urban_w_3 = variables['exp_urban_w_3']
exp_urban_w_4 = variables['exp_urban_w_4']
exp_urban_w_5 = variables['exp_urban_w_5']
exp_urban_w_6 = variables['exp_urban_w_6']
exp_urban_w_7 = variables['exp_urban_w_7']
exp_urban_w_8 = variables['exp_urban_w_8']


W_a_0 = variables['W_a_0']
W_a_1 = variables['W_a_1']
W_a_2 = variables['W_a_2']
W_a_3 = variables['W_a_3']
W_a_4 = variables['W_a_4']
W_a_5 = variables['W_a_5']
W_a_6 = variables['W_a_6']
W_a_7 = variables['W_a_7']
W_a_8 = variables['W_a_8']


L_mu_share_0 = variables['L_mu_share_0']
L_mu_share_1 = variables['L_mu_share_1']
L_mu_share_2 = variables['L_mu_share_2']
L_mu_share_3 = variables['L_mu_share_3']
L_mu_share_4 = variables['L_mu_share_4']
L_mu_share_5 = variables['L_mu_share_5']
L_mu_share_6 = variables['L_mu_share_6']
L_mu_share_7 = variables['L_mu_share_7']
L_mu_share_8 = variables['L_mu_share_8']


unemploy_rate_0 = variables['unemploy_rate_0']
unemploy_rate_1 = variables['unemploy_rate_1']
unemploy_rate_2 = variables['unemploy_rate_2']
unemploy_rate_3 = variables['unemploy_rate_3']
unemploy_rate_4 = variables['unemploy_rate_4']
unemploy_rate_5 = variables['unemploy_rate_5']
unemploy_rate_6 = variables['unemploy_rate_6']
unemploy_rate_7 = variables['unemploy_rate_7']
unemploy_rate_8 = variables['unemploy_rate_8']
    
        
W_m = [W_m_0, W_m_1, W_m_2, W_m_3, W_m_4, W_m_5, W_m_6, W_m_7, W_m_8]
exp_urban_w = [exp_urban_w_0,exp_urban_w_1, exp_urban_w_2, exp_urban_w_3, exp_urban_w_4, exp_urban_w_5, exp_urban_w_6, exp_urban_w_7, exp_urban_w_8]
W_a = [W_a_0, W_a_1, W_a_2, W_a_3, W_a_4, W_a_5, W_a_6, W_a_7, W_a_8]
L_mu_share = [L_mu_share_0, L_mu_share_1, L_mu_share_2, L_mu_share_3, L_mu_share_4, L_mu_share_5, L_mu_share_6, L_mu_share_7, L_mu_share_8]
unemploy_rate = [unemploy_rate_0, unemploy_rate_1, unemploy_rate_2, unemploy_rate_3, unemploy_rate_4, unemploy_rate_5, unemploy_rate_6, unemploy_rate_7, unemploy_rate_8]


if name == 'a':
    value = a
elif name == 'b':
    value = b
elif name == 'f':
    value = f
elif name == 'c':
    value = c
elif name == 'beta':
    value = beta
elif name == 'W_m':
    value = W_m_p
elif name == 'L_mu':
    value = L_mu
elif name == 'A_a':
    value = A_a
elif name == 'A_m':
    value = A_m
elif name == 'alpha':
    value = alpha
elif name == 'phi':
    value = phi
elif name == 'constant':
    value = constant

plt.figure(figsize=(10, 6), dpi = 500)
for i in range(len(W_m)):
    #plt.plot(W_m[i], label="beta = " + str(i))
    #plt.plot(exp_urban_w[i], label="beta = " + str(i))
    plt.plot(W_a[i], label= str(name) + " = " + str(value[i]))
plt.xlabel("simulation steps")
plt.ylabel("agricultural wage")
plt.title("evolution of agricultural wage for different "+str(name))
plt.legend()
plt.grid()
plt.show() 

plt.figure(figsize=(10, 6), dpi = 500)
for i in range(len(W_m)):
    #plt.plot(W_m[i], label="b = " + str(b[i]))
    plt.plot(exp_urban_w[i], label= str(name) + " = " + str(value[i]))
    #plt.plot(W_a[i], label="b = " + str(b[i]))
plt.xlabel("simulation steps")
plt.ylabel("expected urban wage")
plt.title("evolution of expected urban wage for different "+str(name))
plt.legend()
plt.grid()
plt.show() 

plt.figure(figsize=(10, 6), dpi = 500)
for i in range(len(W_m)):
    plt.plot(W_m[i], label= str(name) + " = " + str(value[i]))
    #plt.plot(exp_urban_w[i], label="beta = " + str(i))
    #plt.plot(W_a[i], label="beta = " + str(i))
plt.xlabel("simulation steps")
plt.ylabel("expected urban wage")
plt.title("evolution of manufacturing wage for different "+str(name))
plt.legend()
plt.grid()
plt.show() 

plt.figure(figsize=(10, 6), dpi = 500)
for i in range(len(W_m)):
    plt.plot(L_mu_share[i], label= str(name) + " = " + str(value[i]))
    #plt.plot(exp_urban_w[i], label="beta = " + str(i))
    #plt.plot(W_a[i], label="beta = " + str(i))
plt.xlabel("simulation steps")
plt.ylabel("urban share")
plt.title("evolution of urban share for different "+str(name))
plt.legend()
plt.grid()
plt.show() 

plt.figure(figsize=(10, 6), dpi = 500)
for i in range(len(W_m)):
    plt.plot(unemploy_rate[i], label= str(name) + " = " + str(value[i]))
    #plt.plot(exp_urban_w[i], label="beta = " + str(i))
    #plt.plot(W_a[i], label="beta = " + str(i))
plt.xlabel("simulation steps")
plt.ylabel("unemployment rate")
plt.title("evolution of unemployment rate for different "+str(name))
plt.legend()
plt.grid()
plt.show() 